com::lomiri::location::ProviderFactory Class Reference

`#include <provider_factory.h>`

Collaboration diagram for com::lomiri::location::ProviderFactory:

## Public Types

typedef com::lomiri::location::Configuration | Configuration
typedef std::function< Provider::Ptr(const Configuration &)> | Factory

## Public Member Functions

void | add_factory_for_name (const std::string &name, const Factory &factory)
Provider::Ptr | create_provider_for_name_with_config (const std::string &name, const Configuration &config)
void | create_provider_for_name_with_config (const std::string &name, const Configuration &config, const std::function< void(Provider::Ptr)> &cb)
void | enumerate (const std::function< void(const std::string &, const Factory &)> &enumerator)

## Static Public Member Functions

static ProviderFactory & | instance ()
static std::string | extract_undecorated_name (const std::string &name)

## Detailed Description

Definition at line 38 of file provider_factory.h.

## Member Typedef Documentation

## Configuration

typedef com::lomiri::location::Configuration com::lomiri::location::ProviderFactory::Configuration

Definition at line 41 of file provider_factory.h.

## Factory

typedef std::function<Provider::Ptr(const Configuration&)> com::lomiri::location::ProviderFactory::Factory

Definition at line 42 of file provider_factory.h.

## Member Function Documentation

## add_factory_for_name()

void com::lomiri::location::ProviderFactory::add_factory_for_name | ( | const std::string & | name,
|  | const Factory & | factory )

## create_provider_for_name_with_config() [1/2]

Provider::Ptr com::lomiri::location::ProviderFactory::create_provider_for_name_with_config | ( | const std::string & | name,
|  | const Configuration & | config )

## create_provider_for_name_with_config() [2/2]

void com::lomiri::location::ProviderFactory::create_provider_for_name_with_config | ( | const std::string & | name,
|  | const Configuration & | config,
|  | const std::function< void(Provider::Ptr)> & | cb )

## enumerate()

void com::lomiri::location::ProviderFactory::enumerate | ( | const std::function< void(const std::string &, const Factory &)> & | enumerator | ) |

## extract_undecorated_name()

std::string com::lomiri::location::ProviderFactory::extract_undecorated_name | ( | const std::string & | name | ) |

static

## instance()

ProviderFactory & com::lomiri::location::ProviderFactory::instance | ( |  | ) |

static

The documentation for this class was generated from the following file:

- provider_factory.h